Module org.jfree.chart3d
Package org.jfree.chart3d.axis

# Enum Class LabelOrientation

java.lang.Object
java.lang.Enum<LabelOrientation>
org.jfree.chart3d.axis.LabelOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<LabelOrientation>`, `Constable`

public enum LabelOrientation extends Enum<LabelOrientation>
The orientation of an axis label relative to the axis.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PARALLEL`
Labels are drawn parallel to the axis line.
`PERPENDICULAR`
Labels are drawn perpendicular to the axis line.

## Method Summary

Modifier and Type
Method
Description
`static LabelOrientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LabelOrientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERPENDICULAR

public static final LabelOrientation PERPENDICULAR
Labels are drawn perpendicular to the axis line.

### PARALLEL

public static final LabelOrientation PARALLEL
Labels are drawn parallel to the axis line.

## Method Details

### values

public static LabelOrientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LabelOrientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null